HeaderMetadataImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class HeaderMetadataImpl

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.HeaderMetadataImpl

- All Implemented Interfaces:
    Cloneable, HeaderMetadata, MXFUnit

      public class HeaderMetadataImpl
      extends Object
      implements HeaderMetadata, Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderMetadataImpl()`
    `HeaderMetadataImpl(PrimerPack primerPack)`
    `HeaderMetadataImpl(PrimerPack primerPack, Preface preface)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeaderMetadata` | `clone()` Create a cloned copy of the header metadata.
    `static HeaderMetadata` | `createFromBuffer(ByteBuffer buffer)`
    `long` | `getEndPadding()`
    `Preface` | `getPreface()` Returns the preface that contains metadata records of the MXF file.
    `PrimerPack` | `getPrimerPack()` Returns the primer pack used to encode the header metadata.
    `long` | `getPrimerPackPadding()`
    `UnitType` | `getUnitType()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderMetadataImpl

          public HeaderMetadataImpl()

    - #### HeaderMetadataImpl

          public HeaderMetadataImpl(PrimerPack primerPack)
                             throws NullPointerException

      Throws:
        `NullPointerException`

    - #### HeaderMetadataImpl

          public HeaderMetadataImpl(PrimerPack primerPack,
                                    Preface preface)
                             throws NullPointerException

      Throws:
        `NullPointerException`

  - ### Method Detail

    - #### getPrimerPackPadding

          public long getPrimerPackPadding()

    - #### getEndPadding

          public long getEndPadding()

    - #### clone

          public HeaderMetadata clone()

      Description copied from interface: `HeaderMetadata`

      Create a cloned copy of the header metadata.

      Specified by:
        `clone` in interface `HeaderMetadata`
      Overrides:
        `clone` in class `Object`
      Returns:
        Cloned copy of the header metadata.

    - #### getPreface

          public Preface getPreface()

      Description copied from interface: `HeaderMetadata`

      Returns the preface that contains metadata records of the MXF file.

      Specified by:
        `getPreface` in interface `HeaderMetadata`
      Returns:
        Metadata records of the MXF file.

    - #### getPrimerPack

          public PrimerPack getPrimerPack()

      Description copied from interface: `HeaderMetadata`

      Returns the primer pack used to encode the header metadata.

      Specified by:
        `getPrimerPack` in interface `HeaderMetadata`
      Returns:
        Primer pack used to encode the header metadata.

    - #### createFromBuffer

          public static final HeaderMetadata createFromBuffer(ByteBuffer buffer)
                                                       throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getUnitType

          public UnitType getUnitType()

      Specified by:
        `getUnitType` in interface `MXFUnit`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.